/**
 * @author Peter Nitsch
 */

TERM.AnsiParser = function (viewer){
	
	var viewer = viewer;
	var escapeCommand = [];
	var bufferEscapeCommand = false;
	
	this.escapeCommands = new TERM.EscapeSequencer(viewer);
	
	this.parse = function () {
		while( TERM.socket.rQlen() >0 ){
			var result = TERM.socket.rQshift8();
			if( result == SUBSTITUTE) {			
				break;
			} else {
				if (!this.readByte( result )) {
					return;
				}
			}
		}
	};
	
	this._exceptionsLib = [];
	this._exceptions = [];
	
	this.hasException = function( code ) {
		if( this._exceptions.indexOf(code) != -1 )
			return true;
		return false;
	};
	
	this.writeException = function( code, callback ) {
		if( !this.hasException(code) ){
			this._exceptionsLib[code] = callback;
			this._exceptions.push(code);
		}
	};
	
	this.readByte = function (b) {
		if (b >= 192 && b < 255) { //UTF-8 char
			// check how many bytes
			// b ^ 192 //110 00000 - 2 bytes
			//b ^ 224 // 1110 0000 - 3 bytes
			//b ^ 240 // 11110 000 - 4 bytes
			var numBytes;
			if (b >=192 && b < 224) {
				numBytes = 1;
			} else if (b >=224 && b < 240) {
				numBytes=2;
			} else {
				numBytes=3;
			}
			if (TERM.socket.rQwait("Getting UniCode char",numBytes,1) ) {
				return false;
			}
			
			var bb=TERM.socket.rQshiftBytes(numBytes);
			var esc = escape(String.fromCharCode(b)+String.fromCharCode.apply(null,bb));
			try {
				var u = decodeURIComponent(esc);
				viewer.drawUnicodeCharacter(u);
			} catch (error) {
				console.warn(error);
			}
		} else {
			if(b == ESCAPE) {
				escapeCommand = [];
				escapeCommand.push(b);
				bufferEscapeCommand = true;
			} else {
				if(bufferEscapeCommand){
					escapeCommand.push(b);
					if( this.escapeCommands.checkCommandAction(escapeCommand.length, b) ) {
						this.escapeCommands.executeCommand(escapeCommand);
						bufferEscapeCommand = false;
					}
				} else if( this.hasException(b) ) {
					this._exceptionsLib[b]( b );
				} else if(b >= SPACE) {
					viewer.drawCharacter(b);
				} else {
					switch(b) {
						case BACKSPACE:
							viewer.moveBackward(1, false);
							break;
						case LINE_FEED:
							viewer.moveDown(1);
							break;
						case CARRIAGE_RETURN:
							viewer.carriageReturn();
							break;
						case FORM_FEED:
							viewer.eraseScreen();
							viewer.reposition(0, 0);
							break;
					}
				}
			}
		}
		return true;
	};
	
};